Bric::Util::Coll::Priv(3p)

NAME
Bric::Util::Coll::Priv - Interface for managing collections of privileges.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
See Bric::Util::Coll.

DESCRIPTION
See Bric::Util::Coll.

INTERFACE

  Constructors
Inherited from Bric::Util::Coll.

  Destructors

$org->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

Bric::Util::Coll->class_name()
    Returns the name of the class of objects this collection manages.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Instance Methods

$self = $coll->save
    Saves the changes made to all the objects in the collection.

    Throws:

    •   Bric::_get() - Problems retrieving fields.

    •   Incorrect number of args to Bric::_set().

    •   Bric::set() - Problems setting fields.

    •   Unable to connect to database.

    •   Unable to prepare SQL statement.

    •   Unable to execute SQL statement.

    •   Unable to select row.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Util::Coll, Bric::Util::Priv, Bric::Biz::Person::User, Bric::Biz::Grp::User